> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <content-service>/api/v1/users

## URL structure&#x20;

```text theme={null}
https://content-service.xy-company.com/api/v1/users
```

## Supported methods and overview&#x20;

* `GET` - used to retrieve information about the utilization of storage for all users who have ever uploaded content to storage (managed by the Covata Platform's Content Service).

## Detailed description&#x20;

This API endpoint retrieve information about the utilization of storage for all users who have ever uploaded content to storage (managed by the Covata Platform's Content Service).

The storage data values in the [response](/3.2/api/content-service-api-v1-users.md#content-service-api-v1-users-returns) are in bytes, which are separated into Secure Object data and *read-only view* data values.

## Supported roles&#x20;

This API endpoint supports the following Covata user roles (as described in the [Covata Platform Administrator's Guide](/3.2/admin.md)):

* System administrator

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the [header](/3.2/api/content-service-api-v1-users.md#content-service-api-v1-users-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6`

## Optional parameters&#x20;

The following optional parameters can be sent in the URL of the GET request:

* **limit** - .
* **offset** - .
* **orderBy** - .
* **sortBy** - .

  **Example ():**

## Returns&#x20;

A JSON-formatted response containing the following members:

* **items** - .

  * **userId** - .
  * **total** - .
  * **viewTotal** - .
* **count** - .
* **offset** - .

  **Example (response from ...):**


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.